From: ClassRubyExceptionHandline [mailto:jctown / nb.sympatico.ca] 
> Hi All... I have just downloaded the ruby-1.8.5-i386-mswin32.zip file
> with the hope that I can use ruby under the Interix 2.2 ksh shell
> implementation.

I have little of value to add, except that this page:
http://www.garbagecollect.jp/ruby/mswin32/en/documents/mswin32.html
implies that mswin32 is not the right build of Ruby you want for
Interix, but rather an interix-specific build.

The page is 3 years old, and I'd never heard of interix before reading
your post, so I can't really say where you might get such a precompiled
beast. I only point it out because the existence of such a build in the
past makes me think there are good reasons for not wanting|being able to
use a mswin32 build under interix.